com.amazonaws.services.codecommit.model

## Class InvalidRepositoryTriggerEventsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.amazonaws.SdkBaseException
        - - com.amazonaws.AmazonClientException
          - - com.amazonaws.SdkClientException
            - - com.amazonaws.AmazonServiceException
              - - com.amazonaws.services.codecommit.model.AWSCodeCommitException
                - - com.amazonaws.services.codecommit.model.InvalidRepositoryTriggerEventsException

All Implemented Interfaces:
  Serializable

    public class InvalidRepositoryTriggerEventsException
    extends AWSCodeCommitException

One or more events specified for the trigger is not valid. Check to make sure that all events specified match the requirements for allowed events.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.amazonaws.AmazonServiceException

`AmazonServiceException.ErrorType`

### Constructor Summary

Constructors
Constructor and Description
`InvalidRepositoryTriggerEventsException(String message)` Constructs a new InvalidRepositoryTriggerEventsException with the specified error message.

### Method Summary

### Methods inherited from class com.amazonaws.AmazonServiceException

`getErrorCode, getErrorMessage, getErrorType, getHttpHeaders, getMessage, getRawResponse, getRawResponseContent, getRequestId, getServiceName, getStatusCode, setErrorCode, setErrorMessage, setErrorType, setHttpHeaders, setRawResponse, setRawResponseContent, setRequestId, setServiceName, setStatusCode`

### Methods inherited from class com.amazonaws.AmazonClientException

`isRetryable`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidRepositoryTriggerEventsException

    public InvalidRepositoryTriggerEventsException(String message)

Constructs a new InvalidRepositoryTriggerEventsException with the specified error message.

Parameters:
  `message` - Describes the error encountered.